#
# spec file for package python-patchy
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-patchy
Version:        2.9.0
Release:        1.3
License:        BSD-3-Clause
Summary:        Patch the inner source of python functions at runtime
URL:            https://github.com/adamchainz/patchy
Group:          Development/Languages/Python
Source:         https://github.com/adamchainz/patchy/archive/refs/tags/%{version}.tar.gz#/patchy-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pkgutil-resolve-name}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pkgutil-resolve-name
BuildArch:      noarch

%python_subpackages

%description
Patch the inner source of python functions at runtime.

%prep
%setup -q -n patchy-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/patchy
%{python_sitelib}/patchy-%{version}.dist-info

%changelog
* Mon Oct 28 2024 Dirk Müller <dmueller@suse.com>
- update to 2.9.0:
  * Drop Python 3.8 support.
  * Support Python 3.13.
* Sat Jan 13 2024 Dirk Müller <dmueller@suse.com>
- update to 2.8.0:
  * Drop Python 3.7 support.
  * Support Python 3.12.
  * Use the --force flag to patch, so it doesn’t hang waiting
    input for invalid reverse patches. This seems to happen with
    the new version on macOS.
* Tue Oct  4 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.6.0:
  * Support Python 3.11.
- Update to version 2.5.0:
  * Drop Python 3.6 support.
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- update to 2.4.0:
  * Add type hints.
  * Support Python 3.10.
  * Stop distributing tests to reduce package size. Tests are not intended to be
    run outside of the tox setup in the repository. Repackagers can use GitHub's
    tarballs per tag.
  * Drop Python 3.5 support.
  * Move license from BSD to MIT License.
* Sun Jul  5 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v2.1.0
* Sun Dec 15 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.0.0
